@model IEnumerable<EpiTicket.Models.Event>
@using EpiTicket.Data
@using CloudinaryDotNet

@{
    ViewData["Title"] = "Liste des événements";
}

<div>
    <h1>Liste des événements</h1>

    <p>
        <a asp-action="Create">Créer un nouvel événement</a>
    </p>
</div>
@foreach (var item in Model)
{
    <div>
        <hr />
        @if (item.Poster == null)
        {
            @Html.Raw(EpiTicket.Data.Cloudinary.Instance.Api.UrlImgUp.Transform(
                                                 new Transformation().Width(500).Height(300).Crop("fill").Radius("8")
                                             ).BuildImageTag("EpiTicket/placeholder-event", new CloudinaryDotNet.StringDictionary("alt=" + item.Name)))
        }
        else
        {
            @Html.Raw(EpiTicket.Data.Cloudinary.Instance.Api.UrlImgUp.Transform(
                                                         new Transformation().Width(500).Height(300).Crop("fill").Radius("8")
                                                     ).BuildImageTag(item.Poster, new CloudinaryDotNet.StringDictionary("alt=" + item.Name)))
        }
        <h3>
            <a asp-action="Details" asp-route-id="@item.EventId">@Html.DisplayFor(modelItem => item.Name)</a>
        </h3>
        <p>
            Lieu : <b>@Html.DisplayFor(modelItem => item.Location)</b>
        </p>
        <p>
            Le @String.Format("{0:dd/MM/yyyy}", item.StartDate) à @String.Format("{0:HH:mm}", item.StartDate)
        </p>
        <p>
            Prix du billet : <b>@Html.DisplayFor(modelItem => item.Price) €</b>
        </p>
        <p>
            Organisé par <b>@Html.DisplayFor(modelItem => item.Organizer.Name)</b>
        </p>
        <p>
            <a asp-action="Edit" asp-route-id="@item.EventId">Modifier</a> |
            <a asp-action="Delete" asp-route-id="@item.EventId">Supprimer</a> |
            <a asp-action="Index" asp-controller="Purchase" asp-route-id="@item.EventId">Purchase</a>
        </p>
    </div>
}
